# CommonProtos.InvokeRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class CommonProtos.InvokeRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>
      - - io.dapr.v1.CommonProtos.InvokeRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.InvokeRequestOrBuilder`, `Cloneable`

Enclosing class:
  CommonProtos.InvokeRequest

    public static final class CommonProtos.InvokeRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>
    implements CommonProtos.InvokeRequestOrBuilder

     InvokeRequest is the message to invoke a method with the data.
     This message is used in InvokeService of Dapr gRPC Service and OnInvoke
     of AppCallback gRPC service.

Protobuf type `dapr.proto.common.v1.InvokeRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CommonProtos.InvokeRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.InvokeRequest` `build()`
`CommonProtos.InvokeRequest` `buildPartial()`
`CommonProtos.InvokeRequest.Builder` `clear()`
`CommonProtos.InvokeRequest.Builder` `clearContentType()` The type of data content.
`CommonProtos.InvokeRequest.Builder` `clearData()` Required in unary RPCs.
`CommonProtos.InvokeRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`CommonProtos.InvokeRequest.Builder` `clearHttpExtension()` HTTP specific fields if request conveys http-compatible request.
`CommonProtos.InvokeRequest.Builder` `clearMethod()` Required.
`CommonProtos.InvokeRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`CommonProtos.InvokeRequest.Builder` `clone()`
`String` `getContentType()` The type of data content.
`com.google.protobuf.ByteString` `getContentTypeBytes()` The type of data content.
`com.google.protobuf.Any` `getData()` Required in unary RPCs.
`com.google.protobuf.Any.Builder` `getDataBuilder()` Required in unary RPCs.
`com.google.protobuf.AnyOrBuilder` `getDataOrBuilder()` Required in unary RPCs.
`CommonProtos.InvokeRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`CommonProtos.HTTPExtension` `getHttpExtension()` HTTP specific fields if request conveys http-compatible request.
`CommonProtos.HTTPExtension.Builder` `getHttpExtensionBuilder()` HTTP specific fields if request conveys http-compatible request.
`CommonProtos.HTTPExtensionOrBuilder` `getHttpExtensionOrBuilder()` HTTP specific fields if request conveys http-compatible request.
`String` `getMethod()` Required.
`com.google.protobuf.ByteString` `getMethodBytes()` Required.
`boolean` `hasData()` Required in unary RPCs.
`boolean` `hasHttpExtension()` HTTP specific fields if request conveys http-compatible request.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`CommonProtos.InvokeRequest.Builder` `mergeData​(com.google.protobuf.Any value)` Required in unary RPCs.
`CommonProtos.InvokeRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`CommonProtos.InvokeRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`CommonProtos.InvokeRequest.Builder` `mergeFrom​(CommonProtos.InvokeRequest other)`
`CommonProtos.InvokeRequest.Builder` `mergeHttpExtension​(CommonProtos.HTTPExtension value)` HTTP specific fields if request conveys http-compatible request.
`CommonProtos.InvokeRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`CommonProtos.InvokeRequest.Builder` `setContentType​(String value)` The type of data content.
`CommonProtos.InvokeRequest.Builder` `setContentTypeBytes​(com.google.protobuf.ByteString value)` The type of data content.
`CommonProtos.InvokeRequest.Builder` `setData​(com.google.protobuf.Any value)` Required in unary RPCs.
`CommonProtos.InvokeRequest.Builder` `setData​(com.google.protobuf.Any.Builder builderForValue)` Required in unary RPCs.
`CommonProtos.InvokeRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.InvokeRequest.Builder` `setHttpExtension​(CommonProtos.HTTPExtension value)` HTTP specific fields if request conveys http-compatible request.
`CommonProtos.InvokeRequest.Builder` `setHttpExtension​(CommonProtos.HTTPExtension.Builder builderForValue)` HTTP specific fields if request conveys http-compatible request.
`CommonProtos.InvokeRequest.Builder` `setMethod​(String value)` Required.
`CommonProtos.InvokeRequest.Builder` `setMethodBytes​(com.google.protobuf.ByteString value)` Required.
`CommonProtos.InvokeRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`CommonProtos.InvokeRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### clear

    public CommonProtos.InvokeRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### getDefaultInstanceForType

    public CommonProtos.InvokeRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public CommonProtos.InvokeRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public CommonProtos.InvokeRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public CommonProtos.InvokeRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### setField

    public CommonProtos.InvokeRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### clearField

    public CommonProtos.InvokeRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### clearOneof

    public CommonProtos.InvokeRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### setRepeatedField

    public CommonProtos.InvokeRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               int index,
                                                               Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### addRepeatedField

    public CommonProtos.InvokeRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### mergeFrom

    public CommonProtos.InvokeRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.InvokeRequest.Builder>`

#### mergeFrom

    public CommonProtos.InvokeRequest.Builder mergeFrom​(CommonProtos.InvokeRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### mergeFrom

    public CommonProtos.InvokeRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.InvokeRequest.Builder>`
Throws:
  `IOException`

#### getMethod

    public String getMethod()

     Required. method is a method name which will be invoked by caller.

`string method = 1;`

Specified by:
  `getMethod` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The method.

#### getMethodBytes

    public com.google.protobuf.ByteString getMethodBytes()

     Required. method is a method name which will be invoked by caller.

`string method = 1;`

Specified by:
  `getMethodBytes` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The bytes for method.

#### setMethod

    public CommonProtos.InvokeRequest.Builder setMethod​(String value)

     Required. method is a method name which will be invoked by caller.

`string method = 1;`

Parameters:
  `value` - The method to set.
Returns:
  This builder for chaining.

#### clearMethod

    public CommonProtos.InvokeRequest.Builder clearMethod()

     Required. method is a method name which will be invoked by caller.

`string method = 1;`

Returns:
  This builder for chaining.

#### setMethodBytes

    public CommonProtos.InvokeRequest.Builder setMethodBytes​(com.google.protobuf.ByteString value)

     Required. method is a method name which will be invoked by caller.

`string method = 1;`

Parameters:
  `value` - The bytes for method to set.
Returns:
  This builder for chaining.

#### hasData

    public boolean hasData()

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

Specified by:
  `hasData` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  Whether the data field is set.

#### getData

    public com.google.protobuf.Any getData()

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

Specified by:
  `getData` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The data.

#### setData

    public CommonProtos.InvokeRequest.Builder setData​(com.google.protobuf.Any value)

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

#### setData

    public CommonProtos.InvokeRequest.Builder setData​(com.google.protobuf.Any.Builder builderForValue)

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

#### mergeData

    public CommonProtos.InvokeRequest.Builder mergeData​(com.google.protobuf.Any value)

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

#### clearData

    public CommonProtos.InvokeRequest.Builder clearData()

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

#### getDataBuilder

    public com.google.protobuf.Any.Builder getDataBuilder()

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

#### getDataOrBuilder

    public com.google.protobuf.AnyOrBuilder getDataOrBuilder()

     Required in unary RPCs. Bytes value or Protobuf message which caller sent.
     Dapr treats Any.value as bytes type if Any.type_url is unset.

`.google.protobuf.Any data = 2;`

Specified by:
  `getDataOrBuilder` in interface `CommonProtos.InvokeRequestOrBuilder`

#### getContentType

    public String getContentType()

     The type of data content.
     This field is required if data delivers http request body
     Otherwise, this is optional.

`string content_type = 3;`

Specified by:
  `getContentType` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The contentType.

#### getContentTypeBytes

    public com.google.protobuf.ByteString getContentTypeBytes()

     The type of data content.
     This field is required if data delivers http request body
     Otherwise, this is optional.

`string content_type = 3;`

Specified by:
  `getContentTypeBytes` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The bytes for contentType.

#### setContentType

    public CommonProtos.InvokeRequest.Builder setContentType​(String value)

     The type of data content.
     This field is required if data delivers http request body
     Otherwise, this is optional.

`string content_type = 3;`

Parameters:
  `value` - The contentType to set.
Returns:
  This builder for chaining.

#### clearContentType

    public CommonProtos.InvokeRequest.Builder clearContentType()

     The type of data content.
     This field is required if data delivers http request body
     Otherwise, this is optional.

`string content_type = 3;`

Returns:
  This builder for chaining.

#### setContentTypeBytes

    public CommonProtos.InvokeRequest.Builder setContentTypeBytes​(com.google.protobuf.ByteString value)

     The type of data content.
     This field is required if data delivers http request body
     Otherwise, this is optional.

`string content_type = 3;`

Parameters:
  `value` - The bytes for contentType to set.
Returns:
  This builder for chaining.

#### hasHttpExtension

    public boolean hasHttpExtension()

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

Specified by:
  `hasHttpExtension` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  Whether the httpExtension field is set.

#### getHttpExtension

    public CommonProtos.HTTPExtension getHttpExtension()

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

Specified by:
  `getHttpExtension` in interface `CommonProtos.InvokeRequestOrBuilder`
Returns:
  The httpExtension.

#### setHttpExtension

    public CommonProtos.InvokeRequest.Builder setHttpExtension​(CommonProtos.HTTPExtension value)

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

#### setHttpExtension

    public CommonProtos.InvokeRequest.Builder setHttpExtension​(CommonProtos.HTTPExtension.Builder builderForValue)

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

#### mergeHttpExtension

    public CommonProtos.InvokeRequest.Builder mergeHttpExtension​(CommonProtos.HTTPExtension value)

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

#### clearHttpExtension

    public CommonProtos.InvokeRequest.Builder clearHttpExtension()

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

#### getHttpExtensionBuilder

    public CommonProtos.HTTPExtension.Builder getHttpExtensionBuilder()

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

#### getHttpExtensionOrBuilder

    public CommonProtos.HTTPExtensionOrBuilder getHttpExtensionOrBuilder()

     HTTP specific fields if request conveys http-compatible request.
     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 4;`

Specified by:
  `getHttpExtensionOrBuilder` in interface `CommonProtos.InvokeRequestOrBuilder`

#### setUnknownFields

    public final CommonProtos.InvokeRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`

#### mergeUnknownFields

    public final CommonProtos.InvokeRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeRequest.Builder>`